For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Project Tasks

Get Project Tasks — Taskade REST API v1 reference: GET /projects/{projectId}/tasks. Parameters, authentication, and response schema.

get

Get all tasks for a project

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
Query parameters
limitnumber · max: 1000OptionalDefault: 100
afterstringOptional

Parameter for cursor-based pagination. Specify task ID to get tasks after it. Do not specify both before and after.

beforestringOptional

Parameter for cursor-based pagination. Specify task ID to get tasks before it. Do not specify both before and after.

Responses
200

Tasks

application/json

Tasks

okboolean · enumRequiredPossible values:
get/projects/{projectId}/tasks

Last updated

Was this helpful?